POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "94ffd230-cf00-435b-bae2-d0400cc3ec30",
"batch_id": "238568f3-de0c-4022-9f0e-90c7997cc78c",
"medistream_id": "c32fb1e3-d518-45bc-b9bb-5e5ab7feb48d",
"witness_id": "a11b004c-6d0b-4aae-b4e3-214bca0168e0",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-06-10T01:07:33.0784102+00:00",
"stop_time": "2026-06-10T01:07:33.0784102+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>238568f3-de0c-4022-9f0e-90c7997cc78c</batch_id> <compartment>1</compartment> <id>94ffd230-cf00-435b-bae2-d0400cc3ec30</id> <medistream_id>c32fb1e3-d518-45bc-b9bb-5e5ab7feb48d</medistream_id> <start_time>2026-06-10T01:07:33.0784102+00:00</start_time> <stop_time>2026-06-10T01:07:33.0784102+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>a11b004c-6d0b-4aae-b4e3-214bca0168e0</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"27ab0229-bd7f-4915-9662-540654ef71cd"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">27ab0229-bd7f-4915-9662-540654ef71cd</guid>